| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_norm
GTX Extensions (Experimental)

Various ways to compute vector norms. More...

## Functions
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | distance2 (vecType< T, P > const &p0, vecType< T, P > const &p1)
| Returns the squared distance between p0 and p1, i.e., length2(p0 - p1). More...
template<typename T , precision P>
GLM_FUNC_DECL T | l1Norm (tvec3< T, P > const &x, tvec3< T, P > const &y)
| Returns the L1 norm between x and y. More...
template<typename T , precision P>
GLM_FUNC_DECL T | l1Norm (tvec3< T, P > const &v)
| Returns the L1 norm of v. More...
template<typename T , precision P>
GLM_FUNC_DECL T | l2Norm (tvec3< T, P > const &x, tvec3< T, P > const &y)
| Returns the L2 norm between x and y. More...
template<typename T , precision P>
GLM_FUNC_DECL T | l2Norm (tvec3< T, P > const &x)
| Returns the L2 norm of v. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | length2 (vecType< T, P > const &x)
| Returns the squared length of x. More...
template<typename T , precision P>
GLM_FUNC_DECL T | lxNorm (tvec3< T, P > const &x, tvec3< T, P > const &y, unsigned int Depth)
| Returns the L norm between x and y. More...
template<typename T , precision P>
GLM_FUNC_DECL T | lxNorm (tvec3< T, P > const &x, unsigned int Depth)
| Returns the L norm of v. More...

## Detailed Description

Various ways to compute vector norms.

<glm/gtx/norm.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL T glm::distance2 | ( | vecType< T, P > const & | p0,
|  | vecType< T, P > const & | p1
| ) |  |

Returns the squared distance between p0 and p1, i.e., length2(p0 - p1).

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l1Norm | ( | tvec3< T, P > const & | x,
|  | tvec3< T, P > const & | y
| ) |  |

Returns the L1 norm between x and y.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l1Norm | ( | tvec3< T, P > const & | v | ) |

Returns the L1 norm of v.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l2Norm | ( | tvec3< T, P > const & | x,
|  | tvec3< T, P > const & | y
| ) |  |

Returns the L2 norm between x and y.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l2Norm | ( | tvec3< T, P > const & | x | ) |

Returns the L2 norm of v.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::length2 | ( | vecType< T, P > const & | x | ) |

Returns the squared length of x.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::lxNorm | ( | tvec3< T, P > const & | x,
|  | tvec3< T, P > const & | y,
|  | unsigned int | Depth
| ) |  |

Returns the L norm between x and y.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::lxNorm | ( | tvec3< T, P > const & | x,
|  | unsigned int | Depth
| ) |  |

Returns the L norm of v.

From GLM_GTX_norm extension.